package cn.bunny.service.impl;

import cn.bunny.common.spzx.model.entity.product.Category;
import cn.bunny.mapper.CategoryMapper;
import cn.bunny.service.CategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;

@Service
public class CategoryServiceImpl implements CategoryService {
    @Autowired
    private CategoryMapper categoryMapper;

    // 根据id查询分类列表
    @Override
    public List<Category> findCategoryList(Long id) {
        List<Category> categoryList = categoryMapper.selectCategoryByParentId(id);

        if (!CollectionUtils.isEmpty(categoryList)) {
            categoryList.forEach(category -> {
                int count = categoryMapper.selectCountByParentId(category.getId());

                category.setHasChildren(count > 0);
            });
        }
        return categoryList;
    }
}